AnselToUnicode (marc4j)
Keywords: org.marc4j.util.AnselToUnicode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.util
Class AnselToUnicode

    java.lang.Object
      org.marc4j.util.AnselToUnicode

All Implemented Interfaces:
  CharacterConverter

public class AnselToUnicode
extends Object
implements CharacterConverter

A utility to convert MARC-8 data to non-precomposed UCS/Unicode.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters, Corey Keith

Field Summary
`protected CodeTable` | `ct`
`protected boolean` | `loadedMultibyte`

Constructor Summary
`AnselToUnicode()`

Method Summary
`char[]` | `convert(char[] data)` Converts MARC-8 data to UCS/Unicode.
`String` | `convert(String data)` Converts MARC-8 data to UCS/Unicode.
`void` | `loadMultibyte()` Loads the entire maping (including multibyte characters) from the Library of Congress.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ct

    protected CodeTable ct

### loadedMultibyte

    protected boolean loadedMultibyte

Constructor Detail

### AnselToUnicode

    public AnselToUnicode()

Method Detail

### loadMultibyte

    public void loadMultibyte()

  Loads the entire maping (including multibyte characters) from the Library of Congress.

### convert

    public String convert(String data)

  Converts MARC-8 data to UCS/Unicode.

  Specified by:
    `convert` in interface `CharacterConverter`
  Parameters:
    `data` - the MARC-8 data
  Returns:
    `String` - the UCS/Unicode data

### convert

    public char[] convert(char[] data)

  Converts MARC-8 data to UCS/Unicode.

  Specified by:
    `convert` in interface `CharacterConverter`
  Parameters:
    `data` - the MARC-8 data
  Returns:
    char[] - the UCS/Unicode data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.